package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class A_hostel extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.a_hostel); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });  
  
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
}